Page MenuHomePhabricator

hard to understand status of sub-tasks from parent
Closed, ResolvedPublic

Description

In general using maniphest tasks for a "story" --> "task" level of granularity feels right (we certainly don't want to make a project for each story and then have 10,000 projects a year from now) but from the point of view of an engineering lead (or someone else who isn't looking at the task everyday) it is difficult to figure out "What is going on?" with the subtasks without opening all of them. The only way that subtask state is reflected in the parent is whether it is opened or closed.

Engineering lead questions:

  • Do these subtasks depend on other engineering groups? (Display the projects for each subtask? Include projects/workboard-column in hovercards?)
  • Are at least some of these open tasks making some sort of reasonable forward progress from moving around on workboards? (Display workboard column as above? Display something else that could be triggered via T5474?)
  • If there are "a bunch" of subtasks, which ones are important? (Display priority somehow? Natural sort instead of just by id?)

Event Timeline

cburroughs renamed this task from way to visualize what the status of sub-tasks from parent to hard to understand status of sub-tasks from parent.Jan 20 2016, 5:37 PM
cburroughs created this task.
cburroughs moved this task from Backlog to Task Relationships on the Maniphest board.
chad added a subscriber: chad.Jan 20 2016, 5:40 PM
  • Other projects are coming to workboards
  • Hovercards are being redesigned, adding "subtask of" or "blocks" info would be feasible
In T10187#154936, @chad wrote:
  • Other projects are coming to workboards

Did you mean T9378 or something literal?

chad added a comment.EditedJan 21 2016, 5:54 PM

I think I misread your bullet. Basically we'd like to add more / better information onto hovercards soon, so information you think is important, please follow up on T10055

cburroughs added a project: Restricted Project.May 3 2016, 6:08 PM
cburroughs moved this task from Restricted Project Column to Restricted Project Column on the Restricted Project board.May 3 2016, 6:48 PM
chad closed this task as Resolved.Aug 6 2017, 3:33 AM
chad claimed this task.

I think this is resolved with Related Objects now.

This comment was removed by epriestley.